import { defineConfig } from 'vite';
import solidPlugin from 'vite-plugin-solid';

export default defineConfig({
  base: './',
  server: {
    // https: true,
    open: false,
    host: "0.0.0.0",
    watch: {
      usePolling: true,
    },
    hmr: true,
  },
  plugins: [solidPlugin()],
  build: {
    target: 'esnext',
    polyfillDynamicImport: false,
    assetsInlineLimit: 4000
  },
});
